Bug 1106256 - mysql-connector-java: FTBFS in rawhide
Summary: mysql-connector-java: FTBFS in rawhide
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mysql-connector-java
Version: 22
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milos Jakubicek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F21FTBFS 1196037 1196039 1235950 1239623
TreeView+ depends on / blocked
 
Reported: 2014-06-09 04:05 UTC by Dennis Gilmore
Modified: 2015-07-23 08:58 UTC (History)
5 users (show)

Fixed In Version: mysql-connector-java-5.1.28-6.fc22
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-07-23 08:58:44 UTC
Type: ---


Attachments (Terms of Use)
build.log (13.34 KB, text/plain)
2014-06-09 04:05 UTC, Dennis Gilmore
no flags Details
root.log (98.44 KB, text/plain)
2014-06-09 04:05 UTC, Dennis Gilmore
no flags Details
state.log (1.12 KB, text/plain)
2014-06-09 04:05 UTC, Dennis Gilmore
no flags Details
Fix FTBFS (2.98 KB, patch)
2015-06-20 16:46 UTC, gil cattaneo
no flags Details | Diff

Description Dennis Gilmore 2014-06-09 04:05:24 UTC
Your package mysql-connector-java failed to build from source in current rawhide.

http://koji.fedoraproject.org/koji/taskinfo?taskID=6962667

For details on mass rebuild see https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

Comment 1 Dennis Gilmore 2014-06-09 04:05:26 UTC
Created attachment 904328 [details]
build.log

Comment 2 Dennis Gilmore 2014-06-09 04:05:29 UTC
Created attachment 904329 [details]
root.log

Comment 3 Dennis Gilmore 2014-06-09 04:05:30 UTC
Created attachment 904330 [details]
state.log

Comment 4 Jaroslav Reznik 2015-03-03 15:55:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 5 gil cattaneo 2015-06-20 16:46:40 UTC
Created attachment 1041244 [details]
Fix FTBFS

- adapt to current guideline

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10170472

Comment 6 Jakub Dorňák 2015-06-25 18:02:58 UTC
Unfortunately, the patch does not help in Fedora 22.
It seems that MySQL Connector/J needs Java 1.5 and Java 1.6, while there is only Java 1.8 available in Fedora 22.
I will try to find the way how to build it with Java 1.8, but I am not sure that it is possible.

Comment 7 gil cattaneo 2015-06-25 19:24:00 UTC
(In reply to Jakub Dorňák from comment #6)
> Unfortunately, the patch does not help in Fedora 22.
> It seems that MySQL Connector/J needs Java 1.5 and Java 1.6, while there is
> only Java 1.8 available in Fedora 22.
> I will try to find the way how to build it with Java 1.8, but I am not sure
> that it is possible.
hi
I don't understand what is the problem this release build in rawhide with Java8.
Please, can you attached a build.log?

Comment 8 Jakub Dorňák 2015-06-29 15:59:57 UTC
I see, I've been already working with mysql-connector-java-5.1.35.
It really works with mysql-connector-java-5.1.28.
I just wait for my commit right to be approved to push your changes.

Comment 9 Mat Booth 2015-07-09 10:38:42 UTC
Thanks Gil, I will commit your patch as a provenpackager

Comment 10 Fedora Update System 2015-07-09 10:46:50 UTC
mysql-connector-java-5.1.28-6.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/mysql-connector-java-5.1.28-6.fc22

Comment 11 Fedora Update System 2015-07-13 19:12:40 UTC
Package mysql-connector-java-5.1.28-6.fc22:
* should fix your issue,
* was pushed to the Fedora 22 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing mysql-connector-java-5.1.28-6.fc22'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-11416/mysql-connector-java-5.1.28-6.fc22
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2015-07-23 08:58:44 UTC
mysql-connector-java-5.1.28-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.